.u-section-1 .u-sheet-1 {
  min-height: 643px;
}

.u-section-1 .u-rotation-parent-1 {
  animation-timing-function: ease;
  width: 10000px;
  height: 208px;
  margin: 435px -4430px 0;
}

.u-section-1 .u-shape-1 {
  width: 10000px;
  height: 208px;
  background-image: linear-gradient(#fffcf4, rgba(255,255,255,0));
  transform-origin: center center;
  transform: translateX(-50%) translateY(-50%) rotate(180deg);
}

@media (max-width: 1199px) {
  .u-section-1 .u-sheet-1 {
    min-height: 534px;
  }

  .u-section-1 .u-rotation-parent-1 {
    width: 2394px;
    height: 242px;
    margin-top: 292px;
    margin-right: auto;
    margin-left: -637px;
  }

  .u-section-1 .u-shape-1 {
    width: 2394px;
    height: 242px;
  }
}

@media (max-width: 991px) {
  .u-section-1 .u-sheet-1 {
    min-height: 450px;
  }

  .u-section-1 .u-rotation-parent-1 {
    width: 1410px;
    height: 87px;
    margin-left: -345px;
    margin-right: -345px;
  }

  .u-section-1 .u-shape-1 {
    width: 1410px;
    height: 87px;
  }
}

@media (max-width: 767px) {
  .u-section-1 .u-sheet-1 {
    min-height: 446px;
  }

  .u-section-1 .u-rotation-parent-1 {
    width: 1661px;
    height: 169px;
    margin-top: 277px;
    margin-left: -560px;
    margin-right: -560px;
  }

  .u-section-1 .u-shape-1 {
    width: 1661px;
    height: 169px;
  }
}

@media (max-width: 575px) {
  .u-section-1 .u-sheet-1 {
    min-height: 248px;
  }

  .u-section-1 .u-rotation-parent-1 {
    width: 1021px;
    height: 96px;
    margin-top: 152px;
    margin-left: -340px;
    margin-right: -340px;
  }

  .u-section-1 .u-shape-1 {
    width: 1021px;
    height: 96px;
  }
}.u-section-2 .u-sheet-1 {
  min-height: 550px;
}

.u-section-2 .u-group-1 {
  height: auto;
  box-shadow: 0px 0px 12px 0px rgba(128,128,128,0.4);
  width: 1067px;
  min-height: 625px;
  margin: -112px auto 37px;
}

.u-section-2 .u-container-layout-1 {
  padding: 0 0 30px;
}

.u-section-2 .u-text-1 {
  font-size: 1rem;
  margin: 213px 70px 0;
}

.u-section-2 .u-btn-1 {
  background-image: none;
  padding: 0;
}

.u-section-2 .u-image-1 {
  width: 300px;
  height: 300px;
  margin: -646px -97px 0 auto;
}

.u-section-2 .u-text-2 {
  font-size: 1.875rem;
  margin: -65px 0 0 70px;
}

.u-section-2 .u-text-3 {
  font-size: 3.75rem;
  margin: -140px auto 446px 70px;
}

@media (max-width: 1399px) {
  .u-section-2 .u-group-1 {
    height: auto;
  }
}

@media (max-width: 1199px) {
  .u-section-2 .u-text-1 {
    width: auto;
    margin-top: 204px;
  }

  .u-section-2 .u-image-1 {
    --animation-custom_in-translate_x: 0px;
    --animation-custom_in-translate_y: 0px;
    --animation-custom_in-opacity: 0;
    --animation-custom_in-rotate: 0deg;
    --animation-custom_in-scale: 1.37;
    margin-top: -637px;
  }

  .u-section-2 .u-text-2 {
    font-size: 1.5rem;
  }

  .u-section-2 .u-text-3 {
    font-size: 3rem;
  }
}

@media (max-width: 991px) {
  .u-section-2 .u-group-1 {
    width: 720px;
  }

  .u-section-2 .u-text-1 {
    margin-top: 184px;
    margin-right: 0;
  }

  .u-section-2 .u-image-1 {
    width: 208px;
    height: 208px;
    margin-top: -610px;
    margin-right: -22px;
  }

  .u-section-2 .u-text-2 {
    width: auto;
    margin-top: -20px;
  }

  .u-section-2 .u-text-3 {
    font-size: 2.25rem;
    width: auto;
    margin-top: -120px;
    margin-bottom: 0;
  }
}

@media (max-width: 767px) {
  .u-section-2 .u-sheet-1 {
    min-height: 608px;
  }

  .u-section-2 .u-group-1 {
    margin-bottom: 30px;
    min-height: 690px;
    margin-right: initial;
    margin-left: initial;
    width: auto;
  }

  .u-section-2 .u-text-1 {
    margin-top: 143px;
    margin-right: 60px;
  }

  .u-section-2 .u-image-1 {
    margin-top: -720px;
    margin-right: -15px;
  }

  .u-section-2 .u-text-2 {
    margin-top: -39px;
  }

  .u-section-2 .u-text-3 {
    font-size: 1.875rem;
    margin-top: -100px;
  }
}

@media (max-width: 575px) {
  .u-section-2 .u-sheet-1 {
    min-height: 890px;
  }

  .u-section-2 .u-group-1 {
    min-height: 971px;
    width: 326px;
    margin: -114px auto 33px;
  }

  .u-section-2 .u-text-1 {
    margin-top: 145px;
    margin-right: 40px;
    margin-left: 30px;
  }

  .u-section-2 .u-image-1 {
    width: 143px;
    height: 143px;
    margin-top: -978px;
    margin-right: -32px;
  }

  .u-section-2 .u-text-2 {
    margin-top: -26px;
    margin-right: 40px;
    margin-left: 30px;
  }

  .u-section-2 .u-text-3 {
    font-size: 1.5rem;
    margin-top: -98px;
    margin-left: 30px;
  }
} .u-section-3 {
  background-position: 0% 64.69%, 50% 50%;
  background-repeat: no-repeat, no-repeat;
  background-image: url('images/Botten_22.jpg'), linear-gradient(to bottom, rgba(255, 252, 244, 1), rgba(255, 252, 244, 1));
  background-size: cover, cover;
}

.u-section-3 .u-sheet-1 {
  min-height: 676px;
}

.u-section-3 .u-shape-1 {
  width: 10000px;
  background-image: linear-gradient(#fffcf4, rgba(255,255,255,0));
  animation-timing-function: ease;
  height: 178px;
  margin: 0 auto 0 -2955px;
}

.u-section-3 .u-group-1 {
  width: 538px;
  min-height: 270px;
  height: auto;
  --radius: 20px;
  background-position: 50% 50%;
  background-repeat: no-repeat;
  background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0.8));
  background-size: cover;
  margin: -44px auto 60px 156px;
}

.u-section-3 .u-container-layout-1 {
  padding-bottom: 0;
  padding-top: 0;
}

.u-section-3 .u-text-1 {
  font-size: 1.875rem;
  margin: 36px 20px 0 48px;
}

.u-section-3 .u-text-2 {
  font-size: 1rem;
  margin: 15px 48px 0;
}

@media (max-width: 1399px) {
  .u-section-3 .u-sheet-1 {
    min-height: 503px;
  }

  .u-section-3 .u-shape-1 {
    width: 2380px;
    margin-left: -620px;
    margin-right: -620px;
  }

  .u-section-3 .u-group-1 {
    margin-top: -41px;
    margin-left: 128px;
    height: auto;
  }
}

@media (max-width: 1199px) {
  .u-section-3 .u-sheet-1 {
    min-height: 471px;
  }

  .u-section-3 .u-shape-1 {
    width: 2426px;
    margin-left: -663px;
    margin-right: -663px;
  }

  .u-section-3 .u-group-1 {
    --animation-custom_in-translate_x: 0px;
    --animation-custom_in-translate_y: 227px;
    --animation-custom_in-opacity: 0;
    --animation-custom_in-rotate: 0deg;
    --animation-custom_in-scale: 1;
  }

  .u-section-3 .u-text-2 {
    --animation-custom_in-translate_x: 0px;
    --animation-custom_in-translate_y: 300px;
    --animation-custom_in-opacity: 0;
    --animation-custom_in-rotate: 0deg;
    --animation-custom_in-scale: 1;
  }
}

@media (max-width: 991px) {
  .u-section-3 .u-sheet-1 {
    min-height: 447px;
  }

  .u-section-3 .u-shape-1 {
    width: 1540px;
    margin-left: -410px;
    margin-right: -410px;
  }

  .u-section-3 .u-group-1 {
    margin-top: -42px;
    margin-left: auto;
    margin-bottom: 41px;
  }

  .u-section-3 .u-text-1 {
    width: auto;
    margin-top: 26px;
    margin-right: 48px;
    margin-left: 20px;
  }

  .u-section-3 .u-text-2 {
    width: auto;
    margin-top: 13px;
    margin-right: 26px;
    margin-left: 20px;
  }
}

@media (max-width: 767px) {
  .u-section-3 .u-sheet-1 {
    min-height: 318px;
  }

  .u-section-3 .u-shape-1 {
    width: 1371px;
    margin-right: auto;
    margin-left: -384px;
  }

  .u-section-3 .u-group-1 {
    width: 328px;
    min-height: 222px;
    margin-top: -100px;
    margin-bottom: 18px;
  }

  .u-section-3 .u-container-layout-1 {
    padding-bottom: 17px;
  }

  .u-section-3 .u-text-1 {
    font-size: 1.25rem;
    margin-top: 20px;
    margin-right: 11px;
  }

  .u-section-3 .u-text-2 {
    font-size: 0.75rem;
    margin-top: 10px;
    margin-right: 20px;
  }
}

@media (max-width: 575px) {
  .u-section-3 .u-sheet-1 {
    min-height: 350px;
  }

  .u-section-3 .u-shape-1 {
    width: 1332px;
    margin-left: -496px;
    margin-right: -496px;
  }

  .u-section-3 .u-group-1 {
    margin-bottom: 50px;
  }

  .u-section-3 .u-text-1 {
    margin-right: 9px;
  }

  .u-section-3 .u-text-2 {
    margin-right: 32px;
  }
}display: contents;
So my CSS for the video element and the block containing it looks like this:
    .hero-vid {
    width: 100%
    }
.video-container {
    display: contents;
    }